unit newsms;

interface

uses
  Forms, StdCtrls, Controls, Classes;

type
  TfmNewSMS = class(TForm)
    Label1: TLabel;
    edSCA: TEdit;
    edNumber: TEdit;
    Label2: TLabel;
    meMessage: TMemo;
    Button1: TButton;
    Button2: TButton;
    cbSend: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  end;

implementation

uses
  main;

{$R *.dfm}

procedure TfmNewSMS.FormCreate(Sender: TObject);
begin
  edSCA.Text := fmMain.BFSMSClient.ServiceCenter;
end;

procedure TfmNewSMS.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose := True;
  if ModalResult = mrOK then
    try
      fmMain.BFSMSClient.ServiceCenter := edSCA.Text;
    except
      CanClose := False;
      raise;
    end;
end;

end.
